-- phpMyAdmin SQL Dump
-- version 4.6.5.2
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Jan 17, 2019 at 12:35 PM
-- Server version: 10.1.26-MariaDB
-- PHP Version: 7.1.10

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `crevola`
--

-- --------------------------------------------------------

--
-- Table structure for table `categorie`
--

DROP TABLE IF EXISTS `categorie`;
CREATE TABLE `categorie` (
  `ID_categoria` int(9) UNSIGNED NOT NULL,
  `nome` varchar(255) NOT NULL,
  `descrizione` text,
  `ID_categoria_padre` int(9) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `categorie_libri`
--

DROP TABLE IF EXISTS `categorie_libri`;
CREATE TABLE `categorie_libri` (
  `ID_categoria_libro` int(9) UNSIGNED NOT NULL,
  `ID_libro` int(9) UNSIGNED NOT NULL,
  `ID_categoria` int(9) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `indirizzi`
--

DROP TABLE IF EXISTS `indirizzi`;
CREATE TABLE `indirizzi` (
  `ID_indirizzo` int(9) UNSIGNED NOT NULL,
  `alias` varchar(255) NOT NULL,
  `via` varchar(255) NOT NULL,
  `civico` varchar(10) NOT NULL,
  `city` varchar(255) NOT NULL,
  `cap` char(5) NOT NULL,
  `provincia` char(2) NOT NULL,
  `nazione` char(2) NOT NULL DEFAULT 'IT',
  `telefono` varchar(15) NOT NULL,
  `partita_iva` varchar(16) DEFAULT NULL,
  `ID_utente` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `indirizzi`
--

INSERT INTO `indirizzi` (`ID_indirizzo`, `alias`, `via`, `civico`, `city`, `cap`, `provincia`, `nazione`, `telefono`, `partita_iva`, `ID_utente`) VALUES
(1, 'CASA', 'via Italia ', '45', 'Torino', '10100', 'TO', 'IT', '012345678', NULL, 1),
(2, 'UFFICIO', 'Piazza Roma', '3', 'Torino', '10100', 'TO', 'IT', '012458364', NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `libri`
--

DROP TABLE IF EXISTS `libri`;
CREATE TABLE `libri` (
  `ID_libro` int(11) UNSIGNED NOT NULL,
  `titolo` varchar(255) NOT NULL,
  `prezzo` float NOT NULL,
  `ean` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `libri`
--

INSERT INTO `libri` (`ID_libro`, `titolo`, `prezzo`, `ean`) VALUES
(1, 'I promessi sposi', 10, ''),
(2, 'La Divina Commedia', 20, ''),
(3, 'Manuale di Web Design', 50, '');

-- --------------------------------------------------------

--
-- Table structure for table `ordini`
--

DROP TABLE IF EXISTS `ordini`;
CREATE TABLE `ordini` (
  `ID_ordine` int(9) UNSIGNED NOT NULL,
  `data` date NOT NULL,
  `pagamento` enum('paypal','bonifico','carta-credito') NOT NULL,
  `codice` varchar(10) NOT NULL,
  `ID_utente` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ordini`
--

INSERT INTO `ordini` (`ID_ordine`, `data`, `pagamento`, `codice`, `ID_utente`) VALUES
(1, '2019-01-15', 'paypal', 'AAAAAAAAAA', 1);

-- --------------------------------------------------------

--
-- Table structure for table `ordini_indirizzi`
--

DROP TABLE IF EXISTS `ordini_indirizzi`;
CREATE TABLE `ordini_indirizzi` (
  `ID_ordine_indirizzo` int(9) UNSIGNED NOT NULL,
  `ID_ordine` int(9) UNSIGNED NOT NULL,
  `ID_indirizzo` int(9) UNSIGNED NOT NULL,
  `tipo` enum('spedizione','fatturazione') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ordini_indirizzi`
--

INSERT INTO `ordini_indirizzi` (`ID_ordine_indirizzo`, `ID_ordine`, `ID_indirizzo`, `tipo`) VALUES
(1, 1, 1, 'spedizione'),
(2, 1, 2, 'fatturazione');

-- --------------------------------------------------------

--
-- Table structure for table `ordini_libri`
--

DROP TABLE IF EXISTS `ordini_libri`;
CREATE TABLE `ordini_libri` (
  `ID_ordine_libro` int(9) UNSIGNED NOT NULL,
  `ID_ordine` int(9) UNSIGNED NOT NULL,
  `ID_libro` int(9) UNSIGNED NOT NULL,
  `copie` int(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ordini_libri`
--

INSERT INTO `ordini_libri` (`ID_ordine_libro`, `ID_ordine`, `ID_libro`, `copie`) VALUES
(1, 1, 1, 2),
(2, 1, 2, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sconti`
--

DROP TABLE IF EXISTS `sconti`;
CREATE TABLE `sconti` (
  `ID_sconto` int(9) UNSIGNED NOT NULL,
  `nome` varchar(255) NOT NULL,
  `valore` int(2) UNSIGNED NOT NULL,
  `tipo` enum('%','€') NOT NULL DEFAULT '%',
  `da` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `a` datetime NOT NULL,
  `ID_utente` int(11) UNSIGNED NOT NULL,
  `usato` enum('0','1') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `sconti_categorie`
--

DROP TABLE IF EXISTS `sconti_categorie`;
CREATE TABLE `sconti_categorie` (
  `ID_sconto_categoria` int(9) UNSIGNED NOT NULL,
  `ID_sconto` int(9) UNSIGNED NOT NULL,
  `ID_categoria` int(9) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `utenti`
--

DROP TABLE IF EXISTS `utenti`;
CREATE TABLE `utenti` (
  `ID_utente` int(11) UNSIGNED NOT NULL,
  `nome` varchar(255) NOT NULL,
  `cognome` varchar(255) NOT NULL,
  `sex` enum('M','F') DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `data_iscrizione` datetime NOT NULL,
  `condizioni_contrattuali` enum('0','1') NOT NULL DEFAULT '0' COMMENT '0 = NON ACCETTO 1 = ACCETTO',
  `consenso_marketing` enum('0','1') NOT NULL DEFAULT '0' COMMENT '0 = NON ACCETTO 1 = ACCETTO',
  `consenso_terzi` enum('0','1') NOT NULL DEFAULT '0' COMMENT '0 = NON ACCETTO 1 = ACCETTO',
  `consenso_profilazione` enum('0','1') NOT NULL DEFAULT '0' COMMENT '0 = NON ACCETTO 1 = ACCETTO',
  `cancellato` enum('0','1') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `utenti`
--

INSERT INTO `utenti` (`ID_utente`, `nome`, `cognome`, `sex`, `email`, `password`, `data_iscrizione`, `condizioni_contrattuali`, `consenso_marketing`, `consenso_terzi`, `consenso_profilazione`, `cancellato`) VALUES
(1, 'Mario', 'Rossi', 'M', 'rossi.mario@libero.it', '7bd16211f6505bbcb61a3e45560e51ae', '2019-01-10 11:22:56', '1', '0', '0', '0', '0'),
(2, 'Giuseppe', 'Verdi', 'M', 'giuseppe.verdi@unito.it', '987654321', '2018-12-11 09:39:44', '1', '1', '1', '1', '0'),
(3, 'Elisa', 'Rossi', 'F', 'elisa.rossi@libero.it', '66666666', '2018-12-13 05:19:33', '1', '0', '1', '0', '0'),
(5, 'Andrea', 'Crevola', 'M', '', '', '0000-00-00 00:00:00', '0', '0', '0', '0', '0'),
(10, 'Dylan', 'Dog', 'M', 'dylan.dog@tiscali.it', '', '0000-00-00 00:00:00', '0', '0', '0', '0', '0'),
(11, 'Paperino', 'Paolino', 'M', 'paperino313@gmail.com', '', '0000-00-00 00:00:00', '0', '0', '0', '0', '0'),
(12, 'Giulio', 'Cesare', 'M', 'giulio@gmail.com', '', '2019-01-10 12:14:50', '0', '0', '0', '0', '0');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `categorie`
--
ALTER TABLE `categorie`
  ADD PRIMARY KEY (`ID_categoria`),
  ADD KEY `ID_categoria_padre_fk` (`ID_categoria_padre`);

--
-- Indexes for table `categorie_libri`
--
ALTER TABLE `categorie_libri`
  ADD PRIMARY KEY (`ID_categoria_libro`),
  ADD KEY `ID_libro_fk2` (`ID_libro`),
  ADD KEY `ID_categoria_fk2` (`ID_categoria`);

--
-- Indexes for table `indirizzi`
--
ALTER TABLE `indirizzi`
  ADD PRIMARY KEY (`ID_indirizzo`),
  ADD KEY `ID_utente` (`ID_utente`);

--
-- Indexes for table `libri`
--
ALTER TABLE `libri`
  ADD PRIMARY KEY (`ID_libro`);

--
-- Indexes for table `ordini`
--
ALTER TABLE `ordini`
  ADD PRIMARY KEY (`ID_ordine`),
  ADD UNIQUE KEY `codice` (`codice`),
  ADD KEY `ID_utente_fk` (`ID_utente`);

--
-- Indexes for table `ordini_indirizzi`
--
ALTER TABLE `ordini_indirizzi`
  ADD PRIMARY KEY (`ID_ordine_indirizzo`),
  ADD KEY `ID_ordine_fk` (`ID_ordine`),
  ADD KEY `ID_indirizzo_fk` (`ID_indirizzo`);

--
-- Indexes for table `ordini_libri`
--
ALTER TABLE `ordini_libri`
  ADD PRIMARY KEY (`ID_ordine_libro`),
  ADD KEY `ID_ordine_fk2` (`ID_ordine`),
  ADD KEY `ID_libro_fk` (`ID_libro`);

--
-- Indexes for table `sconti`
--
ALTER TABLE `sconti`
  ADD PRIMARY KEY (`ID_sconto`),
  ADD KEY `ID_utente_fk3` (`ID_utente`);

--
-- Indexes for table `sconti_categorie`
--
ALTER TABLE `sconti_categorie`
  ADD PRIMARY KEY (`ID_sconto_categoria`),
  ADD KEY `ID_sconto_fk` (`ID_sconto`),
  ADD KEY `ID_categoria_fk3` (`ID_categoria`);

--
-- Indexes for table `utenti`
--
ALTER TABLE `utenti`
  ADD PRIMARY KEY (`ID_utente`),
  ADD UNIQUE KEY `email` (`email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `categorie`
--
ALTER TABLE `categorie`
  MODIFY `ID_categoria` int(9) UNSIGNED NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `categorie_libri`
--
ALTER TABLE `categorie_libri`
  MODIFY `ID_categoria_libro` int(9) UNSIGNED NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `indirizzi`
--
ALTER TABLE `indirizzi`
  MODIFY `ID_indirizzo` int(9) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `libri`
--
ALTER TABLE `libri`
  MODIFY `ID_libro` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `ordini`
--
ALTER TABLE `ordini`
  MODIFY `ID_ordine` int(9) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `ordini_indirizzi`
--
ALTER TABLE `ordini_indirizzi`
  MODIFY `ID_ordine_indirizzo` int(9) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `ordini_libri`
--
ALTER TABLE `ordini_libri`
  MODIFY `ID_ordine_libro` int(9) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `sconti`
--
ALTER TABLE `sconti`
  MODIFY `ID_sconto` int(9) UNSIGNED NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `sconti_categorie`
--
ALTER TABLE `sconti_categorie`
  MODIFY `ID_sconto_categoria` int(9) UNSIGNED NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `utenti`
--
ALTER TABLE `utenti`
  MODIFY `ID_utente` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `categorie`
--
ALTER TABLE `categorie`
  ADD CONSTRAINT `ID_categoria_padre_fk` FOREIGN KEY (`ID_categoria_padre`) REFERENCES `categorie` (`ID_categoria`);

--
-- Constraints for table `categorie_libri`
--
ALTER TABLE `categorie_libri`
  ADD CONSTRAINT `ID_categoria_fk2` FOREIGN KEY (`ID_categoria`) REFERENCES `categorie` (`ID_categoria`),
  ADD CONSTRAINT `ID_libro_fk2` FOREIGN KEY (`ID_libro`) REFERENCES `libri` (`ID_libro`);

--
-- Constraints for table `indirizzi`
--
ALTER TABLE `indirizzi`
  ADD CONSTRAINT `ID_utente` FOREIGN KEY (`ID_utente`) REFERENCES `utenti` (`ID_utente`);

--
-- Constraints for table `ordini`
--
ALTER TABLE `ordini`
  ADD CONSTRAINT `ID_utente_fk` FOREIGN KEY (`ID_utente`) REFERENCES `utenti` (`ID_utente`);

--
-- Constraints for table `ordini_indirizzi`
--
ALTER TABLE `ordini_indirizzi`
  ADD CONSTRAINT `ID_indirizzo_fk` FOREIGN KEY (`ID_indirizzo`) REFERENCES `indirizzi` (`ID_indirizzo`),
  ADD CONSTRAINT `ID_ordine_fk` FOREIGN KEY (`ID_ordine`) REFERENCES `ordini` (`ID_ordine`);

--
-- Constraints for table `ordini_libri`
--
ALTER TABLE `ordini_libri`
  ADD CONSTRAINT `ID_libro_fk` FOREIGN KEY (`ID_libro`) REFERENCES `libri` (`ID_libro`),
  ADD CONSTRAINT `ID_ordine_fk2` FOREIGN KEY (`ID_ordine`) REFERENCES `ordini` (`ID_ordine`);

--
-- Constraints for table `sconti`
--
ALTER TABLE `sconti`
  ADD CONSTRAINT `ID_utente_fk3` FOREIGN KEY (`ID_utente`) REFERENCES `utenti` (`ID_utente`);

--
-- Constraints for table `sconti_categorie`
--
ALTER TABLE `sconti_categorie`
  ADD CONSTRAINT `ID_categoria_fk3` FOREIGN KEY (`ID_categoria`) REFERENCES `categorie` (`ID_categoria`),
  ADD CONSTRAINT `ID_sconto_fk` FOREIGN KEY (`ID_sconto`) REFERENCES `sconti` (`ID_sconto`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
